// 글쓰기 버튼 클릭
$(document).on("click", "a#btnPostWrite", function () {
    if(Number(this.dataset.authChecked)) {
        if (!loginCheck()) {
            return false;
        }
    }
});

// 정렬 처리
$(document).on("change", "select#sort", function () {
    let form = document.getElementById("fBoardSearch");
    form.elements["sort"].value = this.value;
    form.submit();
});

// 목록 보기 갯수
$(document).on("change", "select#perPage", function () {
    let form = document.getElementById("fBoardSearch");
    form.elements["per_page"].value = this.value;
    form.submit();
});

// 분류 검색
$(document).on("change", "select#category", function () {
    let form = document.getElementById("fBoardSearch");
    form.elements["category"].value = this.value;
    form.elements["field"].selectedIndex = 0;
    form.elements["keyword"].value = "";
    form.submit();
});

// 게시글 검색
$(document).on("submit", "form#fBoardSearch", function (e) {
    let keyword = e.target.elements["keyword"].value.replace(/(^\s*)|(\s*$)/g, '');
    if (keyword.length > 0 && keyword.length < 2) {
        alert('두 글자 이상으로 검색해 주세요');
        e.target.elements["keyword"].focus();
        return false;
    }
});
